"Description: 
An install script for SoapOpera 0.2b
Edit settings and file-in.

Copyright (C) 2000-2001 Masashi Umezawa

How to: 
1: Create a new directory named: 'installSoapOpera0.2b' under your Squeak home direcotry.
2: Copy all needed files to the directory. (install.st, [VWXMLforSqueak3.x], [Comanche], [SoapOpera0.2b])
3: From the file list, just file in this file.

"!

| dir xmlParserInstall webServerInstall soapInstall rootPath xmlParserCorePath xmlParserExtPath webServerPath soapPath xmlParserCore xmlParserExt webServer soap  |

"settings -  edit if you like"
dir := 'installSoapOpera0.2b'.
xmlParserInstall := true.
webServerInstall := true.
soapInstall := true.

"install main - edit if you like (normally you don't have to)"
rootPath := (FileDirectory default fullNameFor: dir), FileDirectory slash.
xmlParserCorePath := rootPath, 'VWXMLforSqueak3.x', FileDirectory slash, 'Repackaged VWXML'.
xmlParserExtPath := rootPath, 'VWXMLforSqueak3.x', FileDirectory slash, 'MU VWXML extension'.
webServerPath := rootPath, 'Comanche'.
soapPath := rootPath,'SoapOpera0.2b'.

xmlParserCore := #(
'VWXML.1.cs'
'VWXMLTweaks.1.cs'
).

xmlParserExt := #(
'VWXML-Extension-Base.1.cs'
).

webServer := #(
'kom49-base.11May1354.cs'
).

soap := #(
'SOAP-Core.st'
'SOAP-Http.st'
'SOAP-Opera.st'
'SOAP-Testing.st'
).

xmlParserInstall ifTrue:[
xmlParserCore do:[:each | ((FileDirectory on: xmlParserCorePath) readOnlyFileNamed: each) fileIn.].
xmlParserExt do:[:each | ((FileDirectory on: xmlParserExtPath) readOnlyFileNamed: each) fileIn.].
].

webServerInstall ifTrue:[
webServer do:[:each | ((FileDirectory on: webServerPath) readOnlyFileNamed: each) fileIn.].
].

soap do:[:each | ((FileDirectory on: soapPath) readOnlyFileNamed: each) fileIn.].

"program initialization"


SoapOperaDoc inform: 'SoapOpera0.2b installation succeeded'.
Smalltalk changes name: 'SoapOpera0.2b-all'.

! 

"end of script"!
