Object subclass: #Cs2Person
	instanceVariableNames: 'name age height eyeColor '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SOAP-Testing'!

!Cs2Person methodsFor: 'accessing'!
age
	^age! !

!Cs2Person methodsFor: 'accessing'!
age: anObject
	age := anObject! !

!Cs2Person methodsFor: 'accessing'!
eyeColor
	^eyeColor! !

!Cs2Person methodsFor: 'accessing'!
eyeColor: anObject
	eyeColor := anObject! !

!Cs2Person methodsFor: 'accessing'!
height
	^height! !

!Cs2Person methodsFor: 'accessing'!
height: anObject
	height := anObject! !

!Cs2Person methodsFor: 'accessing'!
name
	^name! !

!Cs2Person methodsFor: 'accessing'!
name: anObject
	name := anObject! !


!Cs2Person methodsFor: 'initialize-release'!
initialize
	name := 'john'.
	age := '25'.
	height := 180.
	eyeColor := #Blue! !


!Cs2Person methodsFor: 'actions'!
doBadly: something
	
	"Example3: This causes server error."
	
	self doSomething: something.

	Transcript add: #aaa. 
	
	^#done! !

!Cs2Person methodsFor: 'actions'!
doSomething: something
	

	Transcript cr; show: 'I ', '(', self name, ')', ' DO ', something printString.

	
	! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndArgDoSomething: something
	
	"Example8: receive an obj ref and send it a message (callback)"

	Transcript cr; show: 'I ', '(', self name, ')', ' received!!!!'.
	Transcript cr; show: 'And forward back to -- ', something name printString. 
	something doSomething: #Smalltalk! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnComplex: something

	"Example2: Return complex data"
	| dict |
	self doSomething: something.

	dict :=  Dictionary new.
	dict at: #a put: 'some data'.
	dict at: #b put: 20.
	dict at: #c put: #(1 2 3 'we love smalltalk' 3.4 ).
	^dict
	! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnObjRef: something
	
	"Example6: Return by reference"
	self doSomething: something.

	^OperaObjectReference on: (Cs2Person named: 'Paul')! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnObjValue: something
	
	"Example7: Return by value"
	self doSomething: something.

	^(Cs2Person named: 'Paul')! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnSelf: something
	
	"Example5: self is implicitly returned by reference)"
	self doSomething: something.

	^self! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnSelfCopy: something
	
	"Example4: Return by value)"
	self doSomething: something.

	^self copy! !

!Cs2Person methodsFor: 'actions'!
doSomethingAndReturnSimple: something
	
	"Example1: Return simple data"
	self doSomething: something.

	^#done
	
	! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Cs2Person class
	instanceVariableNames: ''!

!Cs2Person class methodsFor: 'instance creation'!
named: aName
	^self new name: aName! !

!Cs2Person class methodsFor: 'instance creation'!
new
	^super new initialize! !
